Subject: [Sip] [Technical Errata Reported] RFC3329 (2170)

From: RFC Errata System <[email-masked]>
Date: Fri, 23 Apr 2010 06:27:54 -0700 (PDT)

The following errata report has been submitted for RFC3329,
"Security Mechanism Agreement for the Session Initiation Protocol (SIP)".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=3329&eid=2170

--------------------------------------
Type: Technical
Reported by: Peter Dawes <[email-masked]>

Section: 4.2

Original Text
-------------
The second INVITE (4) and the ACK (8) contain a Security-Verify
   header field that mirrors the Security-Server header field received
   in the 421.

Corrected Text
--------------
The second INVITE (4) contains a Security-Verify
   header field that mirrors the Security-Server header field received
   in the 421.

Notes
-----
RFC 3329 Section 2.6, Table 1: Summary of Header Usage. indicates that Security-Client, Security-Server, Security-Verify are "Not applicable" to the SIP ACK request.

RFC 3261 says "Not applicable" means that the header field MUST NOT be present in a request.  If one is placed in a request by mistake, it MUST be ignored by the UAS receiving the request."

Instructions:
-------------
This errata is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC3329 (draft-ietf-sip-sec-agree-05)
--------------------------------------
Title               : Security Mechanism Agreement for the Session Initiation Protocol (SIP)
Publication Date    : January 2003
Author(s)           : J. Arkko, V. Torvinen, G. Camarillo, A. Niemi, T. Haukka
Category            : PROPOSED STANDARD
Source              : Session Initiation Protocol
Area                : Real-time Applications and Infrastructure
Stream              : IETF
Verifying Party     : IESG

---

From: Dean Willis <[email-masked]>
Date: Fri, 23 Apr 2010 11:13:04 -0500

These reports should probably be going to DISPATCH rather than SIP, I  
think. Or is it SIPCORE?

On Apr 23, 2010, at 8:27 AM, RFC Errata System wrote:

> RFC 3329 Section 2.6, Table 1: Summary of Header Usage. indicates  
> that Security-Client, Security-Server, Security-Verify are "Not  
> applicable" to the SIP ACK request.
>
> RFC 3261 says "Not applicable" means that the header field MUST NOT  
> be present in a request.  If one is placed in a request by mistake,  
> it MUST be ignored by the UAS receiving the request."
>
> Instructions:
> -------------